Retrieve HR Employee Positions by Code

Prev Next
Get
/hcm-rest-api/rest/1/hrpositions

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Select By Name And Status
  • Hr Positions Finder
  • By UUID

Select By Name And Status

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
PositionName Position Name Payroll Manager
StatusCode Status Code H

Hr Positions Finder

This is an optional finder for querying Employee Positions by Position Code and Employee Number.

Parameter Description Sample
HrpPositionCodeVar Position Code 001
HrpEmpNoVar Employee Number 0520

By UUID

This is an optional finder for querying a specific Employee Position by row ID.

Parameter Description Sample
/VUUID The VUuid attribute is the Unique row ID /hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleselectByNameAndStatus;PositionName=Payroll Manager,StatusCode=H
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleHrpVUuid:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
example-0

Successful Response - Finder - selectByNameAndStatus

{
  "items": [
    {
      "HrpPositionCode": "001",
      "HrpPositionName": "Payroll Manager",
      "HrpTrdCode": "0095",
      "HrpEffectiveDate": null,
      "HrpExpiryDate": null,
      "HrpEmpNo": null,
      "HrpJobTitle": null,
      "HrpReportTo": null,
      "HrpResp": null,
      "HrpSalary": null,
      "HrpStatusCode": "H",
      "HrpRegCode": null,
      "HrpJobSummary": "Process payroll efficiently and accurately.",
      "HrpVUuid": "EB2F34CAFDFD5671E05316821FAC3E12",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12",
          "name": "hrpositions",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12",
          "name": "hrpositions",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions",
      "name": "hrpositions",
      "kind": "collection"
    }
  ]
}
example-1

Successful Response - Finder - hrpositionfinder

{
  "items": [
    {
      "HrpPositionCode": "001",
      "HrpPositionName": "Payroll Manager",
      "HrpTrdCode": "0095",
      "HrpEffectiveDate": null,
      "HrpExpiryDate": null,
      "HrpEmpNo": null,
      "HrpJobTitle": null,
      "HrpReportTo": null,
      "HrpResp": null,
      "HrpSalary": 40000,
      "HrpStatusCode": "H",
      "HrpRegCode": null,
      "HrpJobSummary": "Process payroll efficiently and accurately.",
      "HrpVUuid": "EB2F34CAFDFD5671E05316821FAC3E12",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12",
          "name": "hrpositions",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12",
          "name": "hrpositions",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions",
      "name": "hrpositions",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved